complexType "InflationRateCalculation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 17 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | floatingRateIndex, indexTenor?, floatingRateMultiplierSchedule?, spreadSchedule*, rateTreatment?, capRateSchedule*, floorRateSchedule*, initialRate?, finalRateRounding?, averagingMethod?, negativeInterestRateTreatment?, inflationLag?, indexSource?, mainPublication?, interpolationMethod?, initialIndexLevel?, fallbackBondApplicable?
</...>

Content Model Elements (17):

  averagingMethod (defined in FloatingRateCalculation complexType),
  capRateSchedule,
  fallbackBondApplicable,
  finalRateRounding,
  floatingRateIndex (defined in FloatingRateIndex.model group),
  floatingRateMultiplierSchedule,
  floorRateSchedule,
  indexSource,
  indexTenor (defined in FloatingRateIndex.model group),
  inflationLag,
  initialIndexLevel,
  initialRate,
  interpolationMethod (in inflationRateCalculation),
  mainPublication,
  negativeInterestRateTreatment,
  rateTreatment,
  spreadSchedule (defined in FloatingRate complexType)

All Direct / Indirect Based Elements (1):

  inflationRateCalculation

Known Usage Locations

- As direct type of elements (1):
  inflationRateCalculation

Annotation
A type defining the components specifiying an Inflation Rate Calculation
Type Definition Detail

Type Derivation Tree Rate (extension) FloatingRate (extension) FloatingRateCalculation (extension) InflationRateCalculation

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="InflationRateCalculation"> <xsd:complexContent> <xsd:extension base="FloatingRateCalculation"> <xsd:sequence> <xsd:element minOccurs="0" name="inflationLag" type="Offset"/> <xsd:element minOccurs="0" name="indexSource" type="RateSourcePage"/> <xsd:element minOccurs="0" name="mainPublication" type="MainPublication"/> <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"/> <xsd:element minOccurs="0" name="initialIndexLevel" type="xsd:decimal"/> <xsd:element minOccurs="0" name="fallbackBondApplicable" type="xsd:boolean"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/17)
fallbackBondApplicable

  Type: | xsd:boolean, predefined, simple content

  The applicability of a fallback bond as defined in the 2006 ISDA Inflation Derivatives Definitions, sections 1.3 and 1.8. Omission of this element imples a value of true.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fallbackBondApplicable" type="xsd:boolean"/>

indexSource

  Type: | RateSourcePage, simple content

  The reference source such as Reuters or Bloomberg.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="indexSource" type="RateSourcePage"/>

inflationLag

  Type: | Offset, complex content

  an offsetting period from the payment date which determines the reference period for which the inflation index is onserved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="inflationLag" type="Offset"/>

initialIndexLevel

  Type: | xsd:decimal, predefined, simple content

  initial known index level for the first calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialIndexLevel" type="xsd:decimal"/>

interpolationMethod

  Type: | InterpolationMethod, simple content

  The method used when calculating the Inflation Index Level from multiple points - the most common is Linear.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"/>

mainPublication

  Type: | MainPublication, simple content

  The current main publication source such as relevant web site or a government body.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="mainPublication" type="MainPublication"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.